/*
REM
REM C-all.sql
REM
REM Create yurttas-Bank tables.
REM
*/

/*
REM
REM
REM Branch-cre.sql
REM
REM
*/

CREATE TABLE Branch(branchname VARCHAR(16) NOT NULL,
                    assets INTEGER,
                    branchcity VARCHAR(16),
        PRIMARY KEY(branchname));


/*
REM
REM
REM Customer-cre.sql
REM
REM
*/

CREATE TABLE Customer(customername VARCHAR(16) NOT NULL,
                      street VARCHAR(10),
                      customercity VARCHAR(16),
          PRIMARY KEY(customername));


/*
REM
REM
REM Depositor-cre.sql
REM
REM
*/

CREATE TABLE Depositor(branchname VARCHAR(16) NOT NULL,
                       accountnumber INTEGER NOT NULL,
                       customername VARCHAR(16) NOT NULL,
                       balance INTEGER,
           PRIMARY KEY(accountnumber),
           FOREIGN KEY(branchname) REFERENCES Branch(branchname),
           FOREIGN KEY(customername) REFERENCES Customer(customername)); 


/*
REM
REM
REM Borrower-cre.sql
REM
REM
*/

CREATE TABLE Borrower(branchname VARCHAR(16) NOT NULL,
                      loannumber INTEGER NOT NULL,
                      customername VARCHAR(16) NOT NULL,
                      amount INTEGER,
          PRIMARY KEY(loannumber),
          FOREIGN KEY(branchname) REFERENCES Branch(branchname),
          FOREIGN KEY(customername) REFERENCES Customer(customername));


/*
REM
REM
REM Client-cre.sql
REM
REM
*/

CREATE TABLE Client(customername VARCHAR(16) NOT NULL,
                    bankername VARCHAR(16) NOT NULL,
        PRIMARY KEY(customername),
        FOREIGN KEY(customername) REFERENCES Customer(customername));
